com.google.web.bindery.requestfactory.apt

## Class Messages

- java.lang.Object
- - com.google.web.bindery.requestfactory.apt.Messages

-     class Messages
      extends java.lang.Object

  Contains string-formatting methods to produce error messages. This class exists to avoid the need to duplicate error messages in test code. All method parameters in this class accept `Object` so that the production code can pass `javax.lang.model` types and the test code can pass Strings.

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `contextMissingDomainType(java.lang.Object domainTypeName)`
    `static java.lang.String` | `contextMustBeAnnotated(java.lang.Object requestContextName)`
    `static java.lang.String` | `contextRequiredReturnTypes(java.lang.Object requestName, java.lang.Object instanceRequestName)`
    `static java.lang.String` | `deobfuscatorMissingContext(java.lang.Object contextName)`
    `static java.lang.String` | `deobfuscatorMissingProxy(java.lang.Object proxyName)`
    `static java.lang.String` | `domainFindNotStatic(java.lang.Object domainTypeName)`
    `static java.lang.String` | `domainGetIdStatic()`
    `static java.lang.String` | `domainGetVersionStatic()`
    `static java.lang.String` | `domainMethodNotPublic(java.lang.Object domainMethodName)`
    `static java.lang.String` | `domainMethodWrongModifier(boolean expectStatic, java.lang.Object domainMethodName)`
    `static java.lang.String` | `domainMissingFind(java.lang.Object domainType, java.lang.Object simpleName, java.lang.Object getIdReturnType, java.lang.Object checkedTypeName)`
    `static java.lang.String` | `domainMissingMethod(java.lang.Object description)`
    `static java.lang.String` | `domainNoGetId(java.lang.Object domainType)`
    `static java.lang.String` | `domainNoGetVersion(java.lang.Object domainType)`
    `static java.lang.String` | `domainNotDefaultInstantiable(java.lang.Object domainName, java.lang.Object proxyName, java.lang.Object requestContextName)`
    `static java.lang.String` | `factoryMustBeAssignable(java.lang.Object assignableTo)`
    `static java.lang.String` | `factoryMustReturnInterface(java.lang.Object returnType)`
    `static java.lang.String` | `factoryNoMethodParameters()`
    `static java.lang.String` | `methodNoDomainPeer(java.lang.Object proxyTypeName, boolean isParameter)`
    `static java.lang.String` | `noSuchType(java.lang.String binaryTypeName)`
    `static java.lang.String` | `proxyMissingDomainType(java.lang.Object missingDomainName)`
    `static java.lang.String` | `proxyMustBeAnnotated(java.lang.Object typeName)`
    `static java.lang.String` | `proxyOnlyGettersSetters()`
    `static java.lang.String` | `rawType()`
    `static java.lang.String` | `redundantAnnotation(java.lang.Object annotationName)`
    `static java.lang.String` | `untransportableType(java.lang.Object returnType)`
    `static java.lang.String` | `warnSuffix()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### contextMissingDomainType

          public static java.lang.String contextMissingDomainType(java.lang.Object domainTypeName)

    - #### contextMustBeAnnotated

          public static java.lang.String contextMustBeAnnotated(java.lang.Object requestContextName)

    - #### contextRequiredReturnTypes

          public static java.lang.String contextRequiredReturnTypes(java.lang.Object requestName,
                                                                    java.lang.Object instanceRequestName)

    - #### deobfuscatorMissingContext

          public static java.lang.String deobfuscatorMissingContext(java.lang.Object contextName)

    - #### deobfuscatorMissingProxy

          public static java.lang.String deobfuscatorMissingProxy(java.lang.Object proxyName)

    - #### domainFindNotStatic

          public static java.lang.String domainFindNotStatic(java.lang.Object domainTypeName)

    - #### domainGetIdStatic

          public static java.lang.String domainGetIdStatic()

    - #### domainGetVersionStatic

          public static java.lang.String domainGetVersionStatic()

    - #### domainMethodNotPublic

          public static java.lang.String domainMethodNotPublic(java.lang.Object domainMethodName)

    - #### domainMethodWrongModifier

          public static java.lang.String domainMethodWrongModifier(boolean expectStatic,
                                                                   java.lang.Object domainMethodName)

    - #### domainMissingFind

          public static java.lang.String domainMissingFind(java.lang.Object domainType,
                                                           java.lang.Object simpleName,
                                                           java.lang.Object getIdReturnType,
                                                           java.lang.Object checkedTypeName)

    - #### domainMissingMethod

          public static java.lang.String domainMissingMethod(java.lang.Object description)

    - #### domainNoGetId

          public static java.lang.String domainNoGetId(java.lang.Object domainType)

    - #### domainNoGetVersion

          public static java.lang.String domainNoGetVersion(java.lang.Object domainType)

    - #### domainNotDefaultInstantiable

          public static java.lang.String domainNotDefaultInstantiable(java.lang.Object domainName,
                                                                      java.lang.Object proxyName,
                                                                      java.lang.Object requestContextName)

    - #### factoryMustBeAssignable

          public static java.lang.String factoryMustBeAssignable(java.lang.Object assignableTo)

    - #### factoryMustReturnInterface

          public static java.lang.String factoryMustReturnInterface(java.lang.Object returnType)

    - #### factoryNoMethodParameters

          public static java.lang.String factoryNoMethodParameters()

    - #### methodNoDomainPeer

          public static java.lang.String methodNoDomainPeer(java.lang.Object proxyTypeName,
                                                            boolean isParameter)

    - #### noSuchType

          public static java.lang.String noSuchType(java.lang.String binaryTypeName)

    - #### proxyMissingDomainType

          public static java.lang.String proxyMissingDomainType(java.lang.Object missingDomainName)

    - #### proxyMustBeAnnotated

          public static java.lang.String proxyMustBeAnnotated(java.lang.Object typeName)

    - #### proxyOnlyGettersSetters

          public static java.lang.String proxyOnlyGettersSetters()

    - #### rawType

          public static java.lang.String rawType()

    - #### redundantAnnotation

          public static java.lang.String redundantAnnotation(java.lang.Object annotationName)

    - #### untransportableType

          public static java.lang.String untransportableType(java.lang.Object returnType)

    - #### warnSuffix

          public static java.lang.String warnSuffix()